## visad.java3d
Class ProjectionControlListener

    java.lang.Object
      visad.java3d.ProjectionControlListener

All Implemented Interfaces:
  ControlListener, EventListener

class ProjectionControlListener
extends Object
implements ControlListener

Field Summary
`(package private) ContourControl` `c_cntrl`
`(package private) int` `cnt`
`(package private) double` `first_scale`
`(package private) double` `last_scale`
`(package private) double` `last_time`
`(package private) LabelTransform[][][]` `LT_array`
`(package private) ProjectionControl` `p_cntrl`

Constructor Summary
`(package private)` `ProjectionControlListener(ProjectionControl p_cntrl, ContourControl c_cntrl)`

Method Summary
`void` `controlChanged(ControlEvent e)` send a ControlEvent to this ControlListener

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LT_array

    LabelTransform[][][] LT_array

### p_cntrl

    ProjectionControl p_cntrl

### c_cntrl

    ContourControl c_cntrl

### last_scale

    double last_scale

### first_scale

    double first_scale

### cnt

    int cnt

### last_time

    double last_time

Constructor Detail

### ProjectionControlListener

    ProjectionControlListener(ProjectionControl p_cntrl,
                              ContourControl c_cntrl)

Method Detail

### controlChanged

    public void controlChanged(ControlEvent e)
                        throws VisADException,
                               RemoteException

  Description copied from interface: `ControlListener`
  send a ControlEvent to this ControlListener

  Specified by:
    `controlChanged` in interface `ControlListener`
  Throws:
    `VisADException`
    `RemoteException`